import net.tomp2p.dht.PeerBuilderDHT;
import net.tomp2p.dht.PeerDHT;
import net.tomp2p.peers.Number160;
import net.tomp2p.p2p.PeerBuilder;
import net.tomp2p.storage.Data;


public class TestPeer {
    public static void main(String[] args) throws Exception{
        PeerDHT peer1 = new PeerBuilderDHT(new PeerBuilder(Number160.createHash("test1")).ports(4000).start()).start();

        PeerDHT peer2 = new PeerBuilderDHT(new PeerBuilder(Number160.createHash("test2")).ports(4001).start()).start();

        peer1.peer().bootstrap().peerAddress(peer2.peerAddress()).start().awaitListeners();

        peer1.put(Number160.ONE).data(new Data("hallo")).start().awaitListeners();


        Object obj=peer2.get(Number160.ONE).start().awaitUninterruptibly().data().object();

        System.out.println("out: "+obj);
        
    }
}
